On this page:

 

Your Rating:
Results:
PatheticBadOKGoodOutstanding!
17 rates

Node.js Agent Support

Node.js Versions

  • The 4.5.11 Node.js agent supports Node.js v0.8, v0.10, v0.12, v4, v5, v6, v7, v8, v9, v10, and v11.
  • The 4.5.12+ Node.js agent supports Node.js v6, v7, v8, v9, v10, and v11. (v8, v9, v10, v11 on Mac).

For agent versions 4.5.12 and on the npm install will stop and print a message for the two scenarios listed:

  • nodejs version less than 6
    • This version of AppDynamics agent supports Node.js versions 6.0 and above.
      For older versions of Node.js use the the AppDynamics agent 4.5.11 by installing with 'npm install appdynamics@4.5.11'
  • nodejs less than 8 on mac
    • This version of AppDynamics agent on Mac OS supports Node.js versions 8.0 and above.
      For older versions of Node.js use the the AppDynamics agent 4.5.11 by installing with 'npm install appdynamics@4.5.11'

Operating Systems

  • The agent is compatible with any Linux distribution based on glibc 2.5+
  • Mac OS X 10.8+ (Agent / Node.js version specific compatibility as noted) 
  • Windows Server 2008R2+ and newer for 64 bit applications for Node.js versions 0.12.0 and higher (Agent / Node.js version specific compatibility as noted)

Transaction Naming

Entry Type

Default Transaction Naming

Node.js Web

URI

HTTP Exit Points

Supported HTTP Exit Points

Node.js HTTP client library

See http://nodejs.org/api/http.html for information about the Node.js HTTP client library.

Database Exit Points

  • MongoDB
  • MySQL
  • PostgreSQL
  • Riak - will be displayed as HTTP backends
  • Couchbase
  • DynamoDB using the official AWS SDK driver
  • Cassandra

Cache Exit points

  • Memcached
  • Redis